package net.sf.doolin.bus.ext.array;

import net.sf.doolin.bus.support.SubscriberValidator;
import net.sf.doolin.gui.field.table.support.AbstractPropertyBasedTableEventListFactory;
import ca.odell.glazedlists.EventList;

public class ArrayTableEventListFactory<E> extends
		AbstractPropertyBasedTableEventListFactory<E> {

	@Override
	public EventList<E> createEventList(SubscriberValidator validator,
			Object model) {
		return new ArrayEventList<E>(validator, model, getPropertyPath());
	}

}
